Loading...
Searching...
No Matches
AVProgram Struct Reference

New fields can be added to the end with minor version bumps. More...

`#include <libavformat/avformat.h>`

## Data Fields

int | id
int | flags
enum AVDiscard | discard
| selects which program to discard and which to feed to the caller
unsigned int * | stream_index
unsigned int | nb_stream_indexes
AVDictionary * | metadata
int | program_num
int | pmt_pid
int | pcr_pid
int | pmt_version
int64_t | start_time
int64_t | end_time
int64_t | pts_wrap_reference
| reference dts for wrap detection
int | pts_wrap_behavior
| behavior on wrap detection

## Detailed Description

New fields can be added to the end with minor version bumps.

Removal, reordering and changes to existing fields require a major version bump. sizeof(AVProgram) must not be used outside libav*.

Definition at line 1188 of file avformat.h.

## Field Documentation

## id

int AVProgram::id

Definition at line 1189 of file avformat.h.

## flags

int AVProgram::flags

Definition at line 1190 of file avformat.h.

## discard

enum AVDiscard AVProgram::discard

selects which program to discard and which to feed to the caller

Definition at line 1191 of file avformat.h.

## stream_index

unsigned int* AVProgram::stream_index

Definition at line 1192 of file avformat.h.

## nb_stream_indexes

unsigned int AVProgram::nb_stream_indexes

Definition at line 1193 of file avformat.h.

## metadata

AVDictionary* AVProgram::metadata

Definition at line 1194 of file avformat.h.

## program_num

int AVProgram::program_num

Definition at line 1196 of file avformat.h.

## pmt_pid

int AVProgram::pmt_pid

Definition at line 1197 of file avformat.h.

## pcr_pid

int AVProgram::pcr_pid

Definition at line 1198 of file avformat.h.

## pmt_version

int AVProgram::pmt_version

Definition at line 1199 of file avformat.h.

## start_time

int64_t AVProgram::start_time

Definition at line 1208 of file avformat.h.

## end_time

int64_t AVProgram::end_time

Definition at line 1209 of file avformat.h.

## pts_wrap_reference

int64_t AVProgram::pts_wrap_reference

reference dts for wrap detection

Definition at line 1211 of file avformat.h.

## pts_wrap_behavior

int AVProgram::pts_wrap_behavior

behavior on wrap detection

Definition at line 1212 of file avformat.h.

The documentation for this struct was generated from the following file:

- libavformat/avformat.h